import { BidirectionalBarOptions } from '@antv/g2plot';
import { BaseChartProps } from '../../components/base';
import { Writeable } from '../../types';
export declare type BidirectionalBarChartProps = Writeable<Omit<BaseChartProps<BidirectionalBarOptions>, 'chart'> & BidirectionalBarOptions>;
declare const BidirectionalBarChart: import("vue-demi").DefineComponent<Writeable<Omit<BaseChartProps<BidirectionalBarOptions>, "chart"> & BidirectionalBarOptions>, {}, {}, {}, {}, import("vue-demi").ComponentOptionsMixin, import("vue-demi").ComponentOptionsMixin, import("vue-demi").EmitsOptions, string, import("vue-demi").VNodeProps & import("vue-demi").AllowedComponentProps & import("vue-demi").ComponentCustomProps, Readonly<{
    class: any;
} & {
    width?: number | undefined;
    height?: number | undefined;
    padding?: number | "auto" | number[] | undefined;
    appendPadding?: number | number[] | undefined;
    renderer?: "canvas" | "svg" | undefined;
    pixelRatio?: number | undefined;
    autoFit?: boolean | undefined;
    syncViewPadding?: boolean | import("@antv/g2/lib/interface").SyncViewPaddingFn | undefined;
    supportCSSTransform?: boolean | undefined;
    limitInPlot?: boolean | undefined;
    locale?: string | undefined;
    style?: (string | import("vue-demi").CSSProperties | (string | import("vue-demi").CSSProperties | (string | import("vue-demi").CSSProperties | (string | import("vue-demi").CSSProperties | (string | import("vue-demi").CSSProperties | (string | import("vue-demi").CSSProperties | (string | import("vue-demi").CSSProperties | (string | import("vue-demi").CSSProperties | (string | import("vue-demi").CSSProperties | (string | import("vue-demi").CSSProperties | (string | import("vue-demi").CSSProperties | (string | import("vue-demi").CSSProperties | any)[])[])[])[])[])[])[])[])[])[])[]) | undefined;
    color?: import("@antv/g2plot").ColorAttr | undefined;
    data?: unknown;
    chartRef?: import("vue-demi").Ref<import("@antv/g2plot").Plot<BidirectionalBarOptions> | null> | undefined;
    label?: import("@antv/g2plot/lib/types/label").Label | undefined;
    legend?: import("@antv/g2plot/lib/types/legend").Legend | undefined;
    meta?: Record<string, import("@antv/g2plot").Meta> | undefined;
    animation?: import("@antv/g2plot/lib/types/animation").Animation | undefined;
    layout?: "horizontal" | "vertical" | undefined;
    tooltip?: import("@antv/g2plot").Tooltip | undefined;
    scrollbar?: import("@antv/g2/lib/interface").ScrollbarOption | undefined;
    xField?: string | undefined;
    yField?: [string, string] | undefined;
    localRefresh?: boolean | undefined;
    theme?: string | object | undefined;
    xAxis?: import("@antv/g2plot").Axis | undefined;
    yAxis?: false | {
        [key: string]: import("@antv/g2plot").Axis;
    } | undefined;
    slider?: import("@antv/g2/lib/interface").SliderOption | undefined;
    interactions?: import("@antv/g2plot").Interaction[] | undefined;
    annotations?: import("@antv/g2plot/lib/types/annotation").Annotation[] | undefined;
    state?: import("@antv/g2/lib/interface").StateOption | undefined;
    barStyle?: import("@antv/g2plot").StyleAttr | undefined;
    widthRatio?: number | undefined;
}>, {
    class: any;
}>;
export default BidirectionalBarChart;
